|  | Home · All Classes · All Functions · Overviews

# QStyleOptionTitleBar Class Reference
[QtGui module]

The QStyleOptionTitleBar class is used to describe the parameters for drawing a title bar. More...

     #include <QStyleOptionTitleBar>

Inherits QStyleOptionComplex.

- List of all members, including inherited members

## Public Types

enum | StyleOptionType { Type }
enum | StyleOptionVersion { Version }

## Public Functions

| QStyleOptionTitleBar ()
| QStyleOptionTitleBar ( const QStyleOptionTitleBar & other )

- 2 public functions inherited from QStyleOption

## Public Variables

QIcon | icon
QString | text
Qt::WindowFlags | titleBarFlags
int | titleBarState

- 2 public variables inherited from QStyleOptionComplex
- 7 public variables inherited from QStyleOption

## Detailed Description

The QStyleOptionTitleBar class is used to describe the parameters for drawing a title bar.

QStyleOptionTitleBar contains all the information that QStyle functions need to draw the title bar of a QMdiSubWindow.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOption, QStyleOptionComplex, and QMdiSubWindow.

## Member Type Documentation

### enum QStyleOptionTitleBar::StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionTitleBar::Type` | `SO_TitleBar` | The type of style option provided (SO_TitleBar for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### enum QStyleOptionTitleBar::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionTitleBar::Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionTitleBar::QStyleOptionTitleBar ()

Constructs a QStyleOptionTitleBar, initializing the members variables to their default values.

### QStyleOptionTitleBar::QStyleOptionTitleBar ( const QStyleOptionTitleBar & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### QIcon QStyleOptionTitleBar::icon

This variable holds the icon for the title bar.

The default value is an empty icon, i.e. an icon with neither a pixmap nor a filename.

### QString QStyleOptionTitleBar::text

This variable holds the text of the title bar.

The default value is an empty string.

### Qt::WindowFlags QStyleOptionTitleBar::titleBarFlags

This variable holds the widget flags for the title bar.

The default value is Qt::Widget.

See also Qt::WindowFlags.

### int QStyleOptionTitleBar::titleBarState

This variable holds the state of the title bar.

This is basically the window state of the underlying widget. The default value is 0.

See also QWidget::windowState().